"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateToGeneralizedTime = function (date) {
    return date.toISOString().replace(/[\-T:]/g, '');
};
exports.GENERALIZED_TIME_REGEX = /^([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2}\.[0-9]{3}Z)$/;
exports.generalizedTimeToDate = function (generalizedTime) {
    var isoTimestamp = generalizedTime.replace(exports.GENERALIZED_TIME_REGEX, '$1-$2-$3T$4:$5:$6');
    var date = new Date(isoTimestamp);
    if (!date.valueOf()) {
        throw new Error('invalid date');
    }
    return date;
};
//# sourceMappingURL=date.js.map